| Home | Libraries | People | FAQ | More

###### http::message::set (1 of 4 overloads)

(Inherited from `http::basic_fields`)

Set a field value, removing any other instances of that field.

###### Synopsis

    void
    set(
        field name,
        string_view const& value);

###### Description

First removes any values with matching field names, then inserts the new field value. The value may be an empty string.

###### Parameters

Name | Description
--- | ---
`name` | The field name.
`value` | The value of the field, as a `boost::beast::string_view`

###### Return Value

The field value.